{ hyprpanel, ... }:
{
  imports = [ hyprpanel.homeManagerModules.hyprpanel ];

  programs.hyprpanel = {
    enable = true;
    # overlay.enable = true;

    hyprland.enable = true;

    settings = {
      layout."*" = {
        left = [
          "dashboard"
          "workspaces"
          "windowtitle"
        ];
        middle = [ "media" ];
        right = [
          "volume"
          "network"
          "bluetooth"
          "systray"
          "clock"
          "battery"
          "notifications"
        ];
      };

      bar = {
        clock.format = "%F %H:%M";

        battery.label = true;

        launcher.icon = "";

        workspaces = {
          ignored = "-.+";
          show_numbered = true;
        };
      };

      menus.dashboard = {
        directories.enabled = false;
        powermenu.logout = "hyprlock";
        shortcuts.enabled = false;
        stats.enable_gpu = true;
      };

      theme = {
        bar.transparent = true;

        font.name = "JetBrains Mono NF";

        matugen = true;
        matugen_settings = {
          # contrast = 0.3;
          variation = "standard_3";
        };
      };
      wallpaper.enable = true;
      wallpaper.image = "${../../wallpapers/default.jpg}";
    };
  };
}
